Bug 139451 - fails to start camera app for PTP type camera
fails to start camera app for PTP type camera
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
Depends On:
  Show dependency treegraph
Reported: 2004-11-15 19:57 EST by Jens Lautenbacher
Modified: 2013-03-05 22:42 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-30 17:49:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
nothing attached (nice to diff against the other two) (39.63 KB, text/plain)
2004-11-16 14:21 EST, Jens Lautenbacher
no flags Details
attached as mass storage device (47.19 KB, text/plain)
2004-11-16 14:21 EST, Jens Lautenbacher
no flags Details
attached as PTP device (42.98 KB, text/plain)
2004-11-16 14:22 EST, Jens Lautenbacher
no flags Details

  None (edit)
Description Jens Lautenbacher 2004-11-15 19:57:48 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20041003

Description of problem:
The g-v-m only recognizes my Casio EX-Z40 when in usb mass storage
mode; in this case it happily starts gthumb - although gthumb can't
copy with a mass storage device as it seems. Anyway, gthumb works
beautifully when the camera is in PTP mode - unfortuately, in this
case, g-v-m does not start gthumb :-( 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. plugin camera in PTP mode
2. wait.
3. wait longer.

Actual Results:  The usb stack recognices the camera (hal-monitor also
sees it), but g-v-m doesn't start gthumb

Expected Results:  start gthumb

Additional info:
Comment 1 John (J5) Palmieri 2004-11-16 09:55:45 EST
Can you please attach the output of lshal with your camera in both ptp
and mass storage mode.  Thanks.
Comment 2 Jens Lautenbacher 2004-11-16 14:21:15 EST
Created attachment 106831 [details]
nothing attached (nice to diff against the other two)
Comment 3 Jens Lautenbacher 2004-11-16 14:21:56 EST
Created attachment 106832 [details]
attached as mass storage device
Comment 4 Jens Lautenbacher 2004-11-16 14:22:23 EST
Created attachment 106833 [details]
attached as PTP device
Comment 5 John (J5) Palmieri 2004-11-16 14:29:05 EST
There seems to be a patch to fix this.  Once freedesktop.org is back
up I'm told it will be commited and we will release a new HAL into
rawhide.  If all goes well the patch will be backported to an FC3
update.  I will post here once it is in rawhide and ask you to try it
out to confirm that it fixes your problem. Reassiging to HAL.
Comment 6 Matthew Miller 2006-07-10 19:18:52 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 7 John Thacker 2006-10-30 17:49:30 EST
Closing per lack of response to previous request for information.
This bug was originally filed against a much earlier version of Fedora
Core, and significant changes have taken place since the last version
for which this bug is confirmed.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

Note You need to log in before you can comment on or make changes to this bug.